## vim 7.0-0maemo1

=== debian/changelog ===
vim (7.0-0maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Tue,  1 Jul 2008 13:55:19 +0100

vim (7.0) unstable; urgency=low

  * Initial Release.

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Tue,  1 Jul 2008 13:55:19 +0100

=== debian/control ===
Source: vim
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/programming
Priority: extra
Maintainer: MUD Build Team <mud-builder-users@garage.maemo.org>
Build-Depends: libncurses5-dev, libx11-dev, libsm6, x11proto-core-dev,
  libxt-dev, sysvinit, libxt6, libxau6, libxdmcp6, libice-dev, libsm-dev,
  libice6, libx11-6, autotools-dev
Standards-Version: 3.6.1

Package: vim
Version: 7.0-0maemo1
XB-Maemo-Icon-26:  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAALGP
  C/xhBQAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAASAAAAEgARslrPgAA
  BeFJREFUSMedlm1MW9cZx3/n3mubKpHBQEyCQUoaaBp1sHYhYZM6AlLo2uVF
  I5naSm1VqSKJ0LZ8atOo+baPk/ZhazWSLaLJpKB0NIPWaxqSJgFMX4JDg1My
  ILHNS4qxIfa6gt+vffbBBtKYTmyP9EhX555zf89znv9zzoXV2lbAjI1m+mim
  DzM2tq56Ndrig6qqqsViaVRVtRRIPzxRzIr0/RfuN+k79KcBMPIHTtJSaCk0
  aAatUQghVvi+AP4di8UuLr1saGhobmlp+f3aNWvN6XQOB0UonBk4w3v/eg9K
  gHXAIJ3Hi44b6nbW7Ukmk7kURRAKhmJvv/P2nxczMm3cuLH5ia1PmBfmF1ZM
  XVVVaow1dI13EbfGIQiKUWl68qknKVlXQjwezwUJwZq8NXlFlqIjanYsVVBQ
  YJyent6Zl5dnzM/PR0q55PPz8wwPD3Ph1gXuWO/AmszmSl0SGg0R88WwlljR
  NA0pJel0GiklqVQK77gX5w1nQFmkX79+vbX1ROtvo7GozDPlIaVciiqZTOJy
  ubi6cBW5QYIk4xboD/cjNIHNZlsKTAiBlJK77rvY7fax4dvDLy+JIRqNSuC6
  pmk6YMgpKSAV+Z0xg9/A67Wv8+reV/HP+JcCk1Lidrux/8N+t6ev52D9znqH
  wv9jAgyzBt6ofINDew7hn/Gj6/oSxOP1YP/I7unp7Wmu2VbjOP/388vyXhTX
  /wI5vPcwfv93IV6vl3Md51KOzx1vFa8v7uu+1A0s9pERKGYdVo7oUjd8H0MK
  iRbQOFp5lEN7D+VCPF7au9u5vPmyqm/Sn59/Z/4aRuZIgIIJSGDll5zkZzQJ
  RawMQWIKmDj22LEVIR63h7PdZ7lsvoxeokMVB/gVJ0lgxQQKKjZ+QytVNDGX
  VVMuBZPJxJu73uTg7oMrQy6d5RPzJ+jlOujALFBFE7+mFQWbxq5HTqCV7ybg
  AZlaMZtUKsW2bduo21mXW3i3h/ZL7VwxX0Ev0zOBikyfcR+ofOQXPKMUK4yq
  HfzlBzN8vv1766+qKmVlZcwGZtF1HUVREEJkanKpfTmTbPbIrKxCFvjTs+DY
  hMadhb/CjW+5UnuCR9Ml/PShXZMSs9mc6XQ9hRACt8eNa8jFoHeQ/pL+DOTB
  LVeAbwqg6xnwBrrg9pGsnK92EfuyhX8qszKl5IBUVUXTNIQQBINBnDecVGyu
  YCIxQbI0uQyRD0A6G8Fb3AnjLbB2OttHFQCd4DErysG2B/tp8fRfPFpi8RjR
  SJSknkSa5fKFomZBwXz4oBHGA+ehowWYW+6jZRtXhJJ6uHEXIeFwmFuuWwwM
  DGC/aWfhsQUqv6okpsUImAPYvilFmS3la18wXV4xXWQp2H50dGz0d7FYbO5h
  UK6ys5BIOELvp710fNTBay+9RnA+SFtvG8deOYbVuo6hERc1VTVoqsrA4KBS
  WbG5XlXV+lNtp0o+vvjxYWVVkEiEvv4+Tg+fZqFsgS2btzASGiGUHyKaiDIy
  NsakZ5qZwAzTfl96amoiPD4xLg0GA4lEIgmk/itoEeL4rJczI6e5V3SP5x5/
  jkAwwDX/NWoLa9lgXU/bu04+/HAUo0HD4XA4T7Wd+qMQQtwcujnb/2l/m9Fo
  TOSCRAagKEoG4uhPn+5ypCetIUrnS2mobsB+0044FebAjw4wcMOZGh2buN3U
  VJuMRmPJi90XO/bt3ffD8vJyenp77PF4/ItEIpFzWodmfDMBn8+H3++nz9En
  7Rc+eHfSle7kb3XsXr+PQosFd8DNjrwdVG2pYnJq8t6jm+a+bty1XfP5/d9G
  IpFN9XX1dZFIBJ/P91XX+a5UNv5l29+0H6fT+XOr1fqWEMIUDoc/GxkdOQ7k
  wVMnt1Ru3L9+a4KJuI/YHWu65nFtLJ6ID7nd7t7qquqX9ZSecN1ynauuqt6j
  aVrp1L2p1qGhobaVf5AycFPWs6osBFQr/Ph9Sp5Ps+HFNDz9PrAhO+fBNYLM
  xWNiNfdbrhUCmg1+0pdxzZYZW539B0Dh4OirHdENAAAAAElFTkSuQmCC
  ====
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Powerful console text editor
  One of the most powerful text editors in existence, vim is "Vi-Improved".
  .
  This package contains the command line version only, and so should be
  used inside X Terminal.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-darwin --disable-xsmp --disable-netbeans --enable-gui=no --disable-gtktest --disable-gpm --disable-acl --disable-nls


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/vim.sgml > vim.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/vim.
	$(MAKE) prefix=$(CURDIR)/debian/vim/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## vim 7.1

=== src/Makefile ===
# Makefile for Vim on Unix and Unix-like systems	vim:ts=8:sw=8:tw=78
#
# This Makefile is loosely based on the GNU Makefile conventions found in
# standards.info.
#
# Compiling Vim, summary:
#
#	3. make
#	5. make install
#
# Compiling Vim, details:
#
# Edit this file for adjusting to your system. You should not need to edit any
# other file for machine specific things!
# The name of this file MUST be Makefile (note the uppercase 'M').
#
# 1. Edit this Makefile  {{{1
#	The defaults for Vim should work on most machines, but you may want to
#	uncomment some lines or make other changes below to tune it to your
#	system, compiler or preferences.  Uncommenting means that the '#' in
#	the first column of a line is removed.
#	- If you want a version of Vim that is small and starts up quickly,
#	  you might want to disable the GUI, X11, Perl, Python and Tcl.
#	- Uncomment the line with --disable-gui if you have Motif, GTK and/or
#	  Athena but don't want to make gvim (the GUI version of Vim with nice
#	  menus and scrollbars, but makes Vim bigger and startup slower).
#	- Uncomment --disable-darwin if on Mac OS X but you want to compile a
#	  Unix version.
#	- Uncomment the line "CONF_OPT_X = --without-x" if you have X11 but
#	  want to disable using X11 libraries.	This speeds up starting Vim,
#	  but the window title will not be set and the X11 selection can not
#	  used.
#	- Uncomment the line "CONF_OPT_XSMP = --without-xsmp" if you have the
#	  X11 Session Management Protocol (XSMP) library (libSM) but do not
#	  want to use it.
#	  This can speedup Vim startup but Vim loses the ability to catch the
#	  user logging out from session-managers like GNOME and work
#	  could be lost.
#	- Uncomment one or more of these lines to include an interface;
#	  each makes Vim quite a bit bigger:
#		--enable-perlinterp	for Perl interpreter
#		--enable-pythoninterp	for Python interpreter
#		--enable-rubyinterp	for Ruby interpreter
#		--enable-tclinterp	for Tcl interpreter
#		--enable-cscope		for Cscope interface
#	- Uncomment one of the lines with --with-features= to enable a set of
#	  features (but not the interfaces just mentioned).
#	- Uncomment the line with --disable-acl to disable ACL support even
#	  though your system supports it.
#	- Uncomment the line with --disable-gpm to disable gpm support
#	  even though you have gpm libraries and includes
#	- Uncomment one of the lines with CFLAGS and/or CC if you have
#	  something very special or want to tune the optimizer.
#	- Search for the name of your system to see if it needs anything
#	  special.
#	- A few versions of make use '.include "file"' instead of 'include
#	  file'.  Adjust the include line below if yours does.
#
# 2. Edit feature.h  {{{1
#	Only if you do not agree with the default compile features, e.g.:
#	- you want Vim to be as vi compatible as it can be
#	- you want to use Emacs tags files
#	- you want right-to-left editing (Hebrew)
#	- you want 'langmap' support (Greek)
#	- you want to remove features to make Vim smaller
#
# 3. "make"  {{{1
#	Will first run ./configure with the options in this file. Then it will
#	start make again on this Makefile to do the compiling. You can also do
#	this in two steps with:
#		make config
#		make
#	The configuration phase creates/overwrites auto/config.h and
#	auto/config.mk.
#	The configure script is created with "make autoconf".  It can detect
#	different features of your system and act accordingly.  However, it is
#	not correct for all systems.  Check this:
#	- If you have X windows, but configure could not find it or reported
#	  another include/library directory then you wanted to use, you have
#	  to set CONF_OPT_X below.  You might also check the installation of
#	  xmkmf.
#	- If you have --enable-gui=motif and have Motif on your system, but
#	  configure reports "checking for location of gui... <not found>", you
#	  have to set GUI_INC_LOC and GUI_LIB_LOC below.
#	If you changed something, do this to run configure again:
#		make reconfig
#
#	- If you do not trust the automatic configuration code, then inspect
#	  auto/config.h and auto/config.mk, before starting the actual build
#	  phase. If possible edit this Makefile, rather than auto/config.mk --
#	  especially look at the definition of VIMLOC below. Note that the
#	  configure phase overwrites auto/config.mk and auto/config.h again.
#	- If you get error messages, find out what is wrong and try to correct
#	  it in this Makefile. You may need to do "make reconfig" when you
#	  change anything that configure uses (e.g. switching from an old C
#	  compiler to an ANSI C compiler). Only when auto/configure does
#	  something wrong you may need to change one of the other files. If
#	  you find a clean way to fix the problem, consider sending a note to
#	  the author of autoconf (bug-gnu-utils@prep.ai.mit.edu) or Vim
#	  (Bram@vim.org). Don't bother to do that when you made a hack
#	  solution for a non-standard system.
#
# 4. "make test"  {{{1
#	This is optional.  This will run Vim scripts on a number of test
#	files, and compare the produced output with the expected output.
#	If all is well, you will get the "ALL DONE" message in the end.  See
#	below (search for "/^test").
#
# 5. "make install"  {{{1
#	If the new Vim seems to be working OK you can install it and the
#	documentation in the appropriate location. The default is
#	"/usr/local".  Change "prefix" below to change the location.
#	"auto/pathdef.c" will be compiled again after changing this to make
#	the executable know where the help files are located.
#	Note that any existing executable is removed or overwritten.  If you
#	want to keep it you will have to make a backup copy first.
#	The runtime files are in a different directory for each version.  You
#	might want to delete an older version.
#	If you don't want to install everything, there are other targets:
#		make installvim		only installs Vim, not the tools
#		make installvimbin	only installs the Vim executable
#		make installruntime	installs most of the runtime files
#		make installrtbase	only installs the Vim help and
#							runtime files
#		make installlinks	only installs the Vim binary links
#		make installmanlinks	only installs the Vim manpage links
#		make installmacros	only installs the Vim macros
#		make installtutorbin	only installs the Vim tutor program
#		make installtutor	only installs the Vim tutor files
#		make installspell	only installs the spell files
#		make installtools	only installs xxd
#	If you install Vim, not to install for real but to prepare a package
#	or RPM, set DESTDIR to the root of the tree.
#
# 6. Use Vim until a new version comes out.  {{{1
#
# 7. "make uninstall_runtime"  {{{1
#	Will remove the runtime files for the current version.	This is safe
#	to use while another version is being used, only version-specific
#	files will be deleted.
#	To remove the runtime files of another version:
#		make uninstall_runtime VIMRTDIR=/vim54
#	If you want to delete all installed files, use:
#		make uninstall
#	Note that this will delete files that have the same name for any
#	version, thus you might need to do a "make install" soon after this.
#	Be careful not to remove a version of Vim that is still being used!
#	To find out which files and directories will be deleted, use:
#		make -n uninstall
# }}}
#
### This Makefile has been successfully tested on many systems. {{{
### Only the ones that require special options are mentioned here.
### Check the (*) column for remarks, listed below.
### Later code changes may cause small problems, otherwise Vim is supposed to
### compile and run without problems.

#system:	      configurations:		     version (*) tested by:
#-------------	      ------------------------	     -------  -  ----------
#AIX 3.2.5	      cc (not gcc)   -			4.5  (M) Will Fiveash
#AIX 4		      cc	     +X11 -GUI		3.27 (4) Axel Kielhorn
#AIX 4.1.4	      cc	     +X11 +GUI		4.5  (5) Nico Bakker
#AIX 4.2.1	      cc				5.2k (C) Will Fiveash
#AIX 4.3.3.12	      xic 3.6.6				5.6  (5) David R. Favor
#A/UX 3.1.1	      gcc	     +X11		4.0  (6) Jim Jagielski
#BeOS PR	      mwcc DR3				5.0n (T) Olaf Seibert
#BSDI 2.1 (x86)       shlicc2 gcc-2.6.3 -X11 X11R6	4.5  (1) Jos Backus
#BSD/OS 3.0 (x86)     gcc gcc-2.7.2.1 -X11 X11R6	4.6c (1) Jos Backus
#CX/UX 6.2	      cc	     +X11 +GUI_Mofif	5.4  (V) Kipp E. Howard
#DG/UX 5.4*	      gcc 2.5.8      GUI		5.0e (H) Jonas Schlein
#DG/UX 5.4R4.20       gcc 2.7.2      GUI		5.0s (H) Rocky Olive
#HP-UX (most)	      c89 cc				5.1  (2) Bram Moolenaar
#HP-UX_9.04	      cc	     +X11 +Motif	5.0  (2) Carton Lao
#Irix 6.3 (O2)	      cc	     ?			4.5  (L) Edouard Poor
#Irix 6.4	      cc	     ?			5.0m (S) Rick Sayre
#Irix 6.5	      cc	     ?			6.0  (S) David Harrison
#Irix 64 bit						4.5  (K) Jon Wright
#Linux 2.0	      gcc-2.7.2      Infomagic Motif	4.3  (3) Ronald Rietman
#Linux 2.0.31	      gcc	     +X11 +GUI Athena	5.0w (U) Darren Hiebert
#LynxOS 3.0.1	      2.9-gnupro-98r2 +X11 +GUI Athena  5.7.1(O) Lorenz Hahn
#LynxOS 3.1.0	      2.9-gnupro-98r2 +X11 +GUI Athena  5.7.1(O) Lorenz Hahn
#NEC UP4800 UNIX_SV 4.2MP  cc	     +X11R6 Motif,Athena4.6b (Q) Lennart Schultz
#NetBSD 1.0A	      gcc-2.4.5      -X11 -GUI		3.21 (X) Juergen Weigert
#QNX 4.2	      wcc386-10.6    -X11		4.2  (D) G.F. Desrochers
#QNX 4.23	      Watcom	     -X11		4.2  (F) John Oleynick
#SCO Unix v3.2.5      cc	     +X11 Motif		3.27 (C) M. Kuperblum
#SCO Open Server 5    gcc 2.7.2.3    +X11 +GUI Motif	5.3  (A) Glauber Ribeiro
#SINIX-N 5.43 RM400 R4000   cc	     +X11 +GUI		5.0l (I) Martin Furter
#SINIX-Z 5.42 i386    gcc 2.7.2.3    +X11 +GUI Motif	5.1  (I) Joachim Fehn
#SINIX-Y 5.43 RM600 R4000  gcc 2.7.2.3 +X11 +GUI Motif	5.1  (I) Joachim Fehn
#Reliant/SINIX 5.44   cc	     +X11 +GUI		5.5a (I) B. Pruemmer
#SNI Targon31 TOS 4.1.11 gcc-2.4.5   +X11 -GUI		4.6c (B) Paul Slootman
#Solaris 2.4 (Sparc)  cc	     +X11 +GUI		3.29 (9) Glauber
#Solaris 2.4/2.5      clcc	     +X11 -GUI openwin	3.20 (7) Robert Colon
#Solaris 2.5 (sun4m)  cc (SC4.0)     +X11R6 +GUI (CDE)	4.6b (E) Andrew Large
#Solaris 2.5	      cc	     +X11 +GUI Athena	4.2  (9) Sonia Heimann
#Solaris 2.5	      gcc 2.5.6      +X11 Motif		5.0m (R) Ant. Colombo
#Solaris 2.6	      gcc 2.8.1      ncursus		5.3  (G) Larry W. Virden
#Solaris with -lthread					5.5  (W) K. Nagano
#Solaris	      gcc				     (b) Riccardo
#SunOS 4.1.x			     +X11 -GUI		5.1b (J) Bram Moolenaar
#SunOS 4.1.3_U1 (sun4c) gcc	     +X11 +GUI Athena	5.0w (J) Darren Hiebert
#SUPER-UX 6.2 (NEC SX-4) cc	     +X11R6 Motif,Athena4.6b (P) Lennart Schultz
#Tandem/NSK                                                  (c) Matthew Woehlke
#Unisys 6035	      cc	     +X11 Motif		5.3  (8) Glauber Ribeiro
#ESIX V4.2	      cc	     +X11		6.0  (a) Reinhard Wobst
#Mac OS X 10.[23]     gcc	     Carbon		6.2  (x) Bram Moolenaar
# }}}

# (*)  Remarks: {{{
#
# (1)  Uncomment line below for shlicc2
# (2)  HPUX with compile problems or wrong digraphs, uncomment line below
# (3)  Infomagic Motif needs GUI_LIB_LOC and GUI_INC_LOC set, see below.
#      And add "-lXpm" to MOTIF_LIBS2.
# (4)  For cc the optimizer must be disabled (use CFLAGS= after running
#      configure) (symptom: ":set termcap" output looks weird).
# (5)  Compiler may need extra argument, see below.
# (6)  See below for a few lines to uncomment
# (7)  See below for lines which enable the use of clcc
# (8)  Needs some EXTRA_LIBS, search for Unisys below
# (9)  Needs an extra compiler flag to compile gui_at_sb.c, see below.
# (A)  May need EXTRA_LIBS, see below
# (B)  Can't compile GUI because there is no waitpid()...  Disable GUI below.
# (C)  Force the use of curses instead of termcap, see below.
# (D)  Uncomment lines below for QNX
# (E)  You might want to use termlib instead of termcap, see below.
# (F)  See below for instructions.
# (G)  Using ncursus version 4.2 has reported to cause a crash.  Use the
#      Sun cursus library instead.
# (H)  See line for EXTRA_LIBS below.
# (I)  SINIX-N 5.42 and 5.43 need some EXTRA_LIBS.  Also for Reliant-Unix.

## vim 7.1.314

=== runtime/doc/Makefile ===
#
# Makefile for the Vim documentation on Unix
#
# If you get "don't know how to make scratch", first run make in the source
# directory.  Or remove the include below.

AWK = awk

# Set to $(VIMTARGET) when executed from src/Makefile.
VIMEXE = vim

# include the config.mk from the source directory.  It's only needed to set
# AWK, used for "make html".  Comment this out if the include gives problems.
include ../../src/auto/config.mk

DOCS = \
	ada.txt \
	arabic.txt \
	autocmd.txt \
	change.txt \
	cmdline.txt \
	debugger.txt \
	debug.txt \
	develop.txt \
	diff.txt \
	digraph.txt \
	editing.txt \
	eval.txt \
	farsi.txt \
	filetype.txt \
	fold.txt \
	gui.txt \
	gui_w16.txt \
	gui_w32.txt \
	gui_x11.txt \
	hangulin.txt \
	hebrew.txt \
	help.txt \
	howto.txt \
	if_cscop.txt \
	if_mzsch.txt \
	if_ole.txt \
	if_perl.txt \
	if_pyth.txt \
	if_ruby.txt \
	if_sniff.txt \
	if_tcl.txt \
	indent.txt \
	index.txt \
	insert.txt \
	intro.txt \
	map.txt \
	message.txt \
	motion.txt \
	mbyte.txt \
	mlang.txt \
	netbeans.txt \
	options.txt \
	os_390.txt \
	os_amiga.txt \
	os_beos.txt \
	os_dos.txt \
	os_mac.txt \
	os_mint.txt \
	os_msdos.txt \
	os_os2.txt \
	os_qnx.txt \
	os_risc.txt \
	os_unix.txt \
	os_vms.txt \
	os_win32.txt \
	pattern.txt \
	pi_getscript.txt \
	pi_gzip.txt \
	pi_netrw.txt \
	pi_paren.txt \
	pi_spec.txt \
	pi_tar.txt \
	pi_vimball.txt \
	pi_zip.txt \
	print.txt \
	quickfix.txt \
	quickref.txt \
	quotes.txt \
	recover.txt \
	remote.txt \
	repeat.txt \
	rileft.txt \
	russian.txt \
	scroll.txt \
	sign.txt \
	sponsor.txt \
	starting.txt \
	spell.txt \
	sql.txt \
	syntax.txt \
	tabpage.txt \
	tagsrch.txt \
	term.txt \
	tips.txt \
	todo.txt \
	uganda.txt \
	undo.txt \
	usr_01.txt \
	usr_02.txt \
	usr_03.txt \
	usr_04.txt \
	usr_05.txt \
	usr_06.txt \
	usr_07.txt \
	usr_08.txt \
	usr_09.txt \
	usr_10.txt \
	usr_11.txt \
	usr_12.txt \
	usr_20.txt \
	usr_21.txt \
	usr_22.txt \
	usr_23.txt \
	usr_24.txt \
	usr_25.txt \
	usr_26.txt \
	usr_27.txt \
	usr_28.txt \
	usr_29.txt \
	usr_30.txt \
	usr_31.txt \
	usr_32.txt \
	usr_40.txt \
	usr_41.txt \
	usr_42.txt \
	usr_43.txt \
	usr_44.txt \
	usr_45.txt \
	usr_90.txt \
	usr_toc.txt \
	various.txt \
	version4.txt \
	version5.txt \
	version6.txt \
	version7.txt \
	vi_diff.txt \
	visual.txt \
	windows.txt \
	workshop.txt

HTMLS = \
	ada.html \
	arabic.html \
	autocmd.html \
	change.html \
	cmdline.html \
	debug.html \
	debugger.html \
	develop.html \
	diff.html \
	digraph.html \
	editing.html \
	eval.html \
	farsi.html \
	filetype.html \
	fold.html \
	gui.html \
	gui_w16.html \
	gui_w32.html \
	gui_x11.html \
	hangulin.html \
	hebrew.html \
	howto.html \
	if_cscop.html \
	if_mzsch.html \
	if_ole.html \
	if_perl.html \
	if_pyth.html \
	if_ruby.html \
	if_sniff.html \
	if_tcl.html \
	indent.html \
	index.html \
	vimindex.html \
	insert.html \
	intro.html \
	map.html \
	message.html \
	motion.html \
	mbyte.html \
	mlang.html \
	netbeans.html \
	options.html \
	os_390.html \
	os_amiga.html \
	os_beos.html \
	os_dos.html \
	os_mac.html \
	os_mint.html \
	os_msdos.html \
	os_os2.html \
	os_qnx.html \
	os_risc.html \
	os_unix.html \
	os_vms.html \
	os_win32.html \
	pattern.html \
	pi_getscript.html \
	pi_gzip.html \
	pi_netrw.html \
	pi_paren.html \
	pi_spec.html \
	pi_tar.html \
	pi_vimball.html \
	pi_zip.html \
	print.html \
	quickfix.html \
	quickref.html \
	quotes.html \
	recover.html \
	remote.html \
	repeat.html \
	rileft.html \
	russian.html \
	scroll.html \
	sign.html \
	sponsor.html \
	starting.html \
	spell.html \
	sql.html \
	syntax.html \
	tabpage.html \
	tags.html \
	tagsrch.html \
	term.html \
	tips.html \
	todo.html \
	uganda.html \
	undo.html \
	usr_01.html \
	usr_02.html \
	usr_03.html \
	usr_04.html \
	usr_05.html \
	usr_06.html \
	usr_07.html \
	usr_08.html \
	usr_09.html \
	usr_10.html \
	usr_11.html \
	usr_12.html \
	usr_20.html \
	usr_21.html \
	usr_22.html \
	usr_23.html \
	usr_24.html \
	usr_25.html \
	usr_26.html \
	usr_27.html \
	usr_28.html \
	usr_29.html \
	usr_30.html \
	usr_31.html \
	usr_32.html \
	usr_40.html \
	usr_41.html \
	usr_42.html \
	usr_43.html \
	usr_44.html \
	usr_45.html \
	usr_90.html \
	usr_toc.html \
	various.html \
	version4.html \
	version5.html \
	version6.html \
	version7.html \
	vi_diff.html \
	visual.html \
	windows.html \
	workshop.html

CONVERTED = \
	vim-fr.UTF-8.1 \
	evim-fr.UTF-8.1 \
	vimdiff-fr.UTF-8.1 \
	vimtutor-fr.UTF-8.1 \
	xxd-fr.UTF-8.1 \
	vim-it.UTF-8.1 \
	evim-it.UTF-8.1 \
	vimdiff-it.UTF-8.1 \
	vimtutor-it.UTF-8.1 \
	xxd-it.UTF-8.1 \
	vim-ru.UTF-8.1 \
	evim-ru.UTF-8.1 \
	vimdiff-ru.UTF-8.1 \
	vimtutor-ru.UTF-8.1 \
	xxd-ru.UTF-8.1 \

.SUFFIXES:
.SUFFIXES: .c .o .txt .html

all: tags vim.man vimdiff.man vimtutor.man xxd.man $(CONVERTED)

# Use Vim to generate the tags file.  Can only be used when Vim has been
# compiled and installed.  Supports multiple languages.
vimtags: $(DOCS)
	$(VIMEXE) -u NONE -esX -c "helptags ++t ." -c quit

# Use "doctags" to generate the tags file.  Only works for English!
tags: doctags $(DOCS)
	./doctags $(DOCS) | LANG=C LC_ALL=C sort >tags
	uniq -d -2 tags

doctags: doctags.c
	$(CC) doctags.c -o doctags

vim.man: vim.1
	nroff -man vim.1 | sed -e s/.//g > vim.man

vimdiff.man: vimdiff.1
	nroff -man vimdiff.1 | sed -e s/.//g > vimdiff.man

vimtutor.man: vimtutor.1
	nroff -man vimtutor.1 | sed -e s/.//g > vimtutor.man

xxd.man: xxd.1
	nroff -man xxd.1 | sed -e s/.//g > xxd.man

uganda.nsis.txt: uganda.txt
	sed -e 's/[ 	]*\*[-a-zA-Z0-9.]*\*//g' -e 's/vim:tw=78://' \
		uganda.txt | uniq >uganda.nsis.txt

# Awk version of .txt to .html conversion.
html: noerrors tags tags.ref $(HTMLS)
	@if test -f errors.log; then more errors.log; fi

noerrors:
	-rm -f errors.log

.txt.html:
	$(AWK) -f makehtml.awk $< >$@

# index.html is the starting point for HTML, but for the help files it is
# help.txt.  Therefore use vimindex.html for index.txt.
index.html: help.txt
	$(AWK) -f makehtml.awk help.txt >index.html

vimindex.html: index.txt
	$(AWK) -f makehtml.awk index.txt >vimindex.html

tags.ref tags.html: tags
	$(AWK) -f maketags.awk tags >tags.html

# Perl version of .txt to .html conversion.
# There can't be two rules to produce a .html from a .txt file.
# Just run over all .txt files each time one changes.  It's fast anyway.
perlhtml: tags $(DOCS)
	./vim2html.pl tags $(DOCS)

clean:
	-rm doctags *.html tags.ref

# These files are in the extra archive, skip if not present

arabic.txt:
	touch arabic.txt

farsi.txt:
	touch farsi.txt

hebrew.txt:
	touch hebrew.txt

russian.txt:
	touch russian.txt

gui_w16.txt:
	touch gui_w16.txt

gui_w32.txt:
	touch gui_w32.txt

if_ole.txt:
	touch if_ole.txt

os_390.txt:
	touch os_390.txt

os_amiga.txt:
	touch os_amiga.txt

os_beos.txt:
	touch os_beos.txt

os_dos.txt:
	touch os_dos.txt

os_mac.txt:
	touch os_mac.txt

os_mint.txt:
	touch os_mint.txt

os_msdos.txt:
	touch os_msdos.txt

os_os2.txt:
	touch os_os2.txt

os_qnx.txt:
	touch os_qnx.txt

os_risc.txt:
	touch os_risc.txt

os_win32.txt:
	touch os_win32.txt

# Note that $< works with GNU make while $> works for BSD make.
# Is there a solution that works for both??
vim-fr.UTF-8.1: vim-fr.1
	iconv -f latin1 -t utf-8 $< >$@

evim-fr.UTF-8.1: evim-fr.1
	iconv -f latin1 -t utf-8 $< >$@

vimdiff-fr.UTF-8.1: vimdiff-fr.1
	iconv -f latin1 -t utf-8 $< >$@

vimtutor-fr.UTF-8.1: vimtutor-fr.1
	iconv -f latin1 -t utf-8 $< >$@

xxd-fr.UTF-8.1: xxd-fr.1
	iconv -f latin1 -t utf-8 $< >$@

vim-it.UTF-8.1: vim-it.1
	iconv -f latin1 -t utf-8 $< >$@

evim-it.UTF-8.1: evim-it.1
	iconv -f latin1 -t utf-8 $< >$@

vimdiff-it.UTF-8.1: vimdiff-it.1
	iconv -f latin1 -t utf-8 $< >$@

vimtutor-it.UTF-8.1: vimtutor-it.1
	iconv -f latin1 -t utf-8 $< >$@

xxd-it.UTF-8.1: xxd-it.1
	iconv -f latin1 -t utf-8 $< >$@

vim-ru.UTF-8.1: vim-ru.1
	iconv -f KOI8-R -t utf-8 $< >$@

evim-ru.UTF-8.1: evim-ru.1
	iconv -f KOI8-R -t utf-8 $< >$@

vimdiff-ru.UTF-8.1: vimdiff-ru.1
	iconv -f KOI8-R -t utf-8 $< >$@

vimtutor-ru.UTF-8.1: vimtutor-ru.1
	iconv -f KOI8-R -t utf-8 $< >$@

xxd-ru.UTF-8.1: xxd-ru.1
	iconv -f KOI8-R -t utf-8 $< >$@

=== src/testdir/Makefile ===
#
# Makefile to run all tests for Vim
#

VIMPROG = ../vim

# Uncomment this line for using valgrind.
# The output goes into a file "valgrind.$PID" (sorry, no test number).
# VALGRIND = valgrind --tool=memcheck --leak-check=yes --num-callers=15 --logfile=valgrind

SCRIPTS = test1.out test2.out test3.out test4.out test5.out test6.out \
		test7.out test8.out test9.out test10.out test11.out \
		test12.out  test13.out test14.out test15.out test17.out \
		test18.out test19.out test20.out test21.out test22.out \
		test23.out test24.out test25.out test26.out test27.out \
		test28.out test29.out test30.out test31.out test32.out \
		test33.out test34.out test35.out test36.out test37.out \
		test38.out test39.out test40.out test41.out test42.out \
		test43.out test44.out test45.out test46.out test47.out \
		test48.out test49.out test51.out test52.out test53.out \
		test54.out test55.out test56.out test57.out test58.out \
		test59.out test60.out test61.out test62.out test63.out \
		test64.out

SCRIPTS_GUI = test16.out

.SUFFIXES: .in .out

nongui:	nolog $(SCRIPTS)
	@echo
	@cat test.log
	@echo ALL DONE

gui:	nolog $(SCRIPTS) $(SCRIPTS_GUI)
	@echo
	@cat test.log
	@echo ALL DONE

$(SCRIPTS) $(SCRIPTS_GUI): $(VIMPROG)

clean:
	-rm -rf *.out *.failed *.rej *.orig test.log tiny.vim small.vim mbyte.vim test.ok X* valgrind.pid* viminfo

test1.out: test1.in
	-rm -f $*.failed tiny.vim small.vim mbyte.vim test.ok X* viminfo
	$(VALGRIND) $(VIMPROG) -u unix.vim -U NONE --noplugin -s dotest.in $*.in
	@/bin/sh -c "if diff test.out $*.ok; \
		then mv -f test.out $*.out; \
		else echo; \
		echo test1 FAILED - Something basic is wrong; \
		echo; exit 1; fi"
	-rm -rf X* viminfo

.in.out:
	-rm -rf $*.failed test.ok test.out X* viminfo
	cp $*.ok test.ok
	# Sleep a moment to avoid that the xterm title is messed up
	@-sleep .2
	-$(VALGRIND) $(VIMPROG) -u unix.vim -U NONE --noplugin -s dotest.in $*.in
	@/bin/sh -c "if test -f test.out; then\
		  if diff test.out $*.ok; \
		  then mv -f test.out $*.out; \
		  else echo $* FAILED >>test.log; mv -f test.out $*.failed; \
		  fi \
		else echo $* NO OUTPUT >>test.log; \
		fi"
	-rm -rf X* test.ok viminfo

test49.out: test49.vim

test60.out: test60.vim

nolog:
	-echo Test results: >test.log

## vim 7.2-0maemo3

=== debian/changelog ===
vim (7.2-0maemo3) unstable; urgency=low

  * Build using mud-builder by andrew

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Wed, 28 Jan 2009 00:01:48 +0000

vim (7.2) unstable; urgency=low

  * Initial Release.

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Wed, 28 Jan 2009 00:01:48 +0000

=== debian/control ===
Source: vim
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/utilities
Priority: extra
Maintainer: MUD Build Team <mud-builder-users@garage.maemo.org>
Build-Depends: libusb-0.1-4, autotools-dev, libncurses5-dev, base-files,
  man-db, libxt-dev
Standards-Version: 3.6.1

Package: vim
XB-Maemo-Icon-26:  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABGdBTUEAALGO
  fPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+S
  X8VGAAAABmJLR0T///////8JWPfcAAAACXBIWXMAAAsTAAALEwEAmpwYAAAA
  CXZwQWcAAAAaAAAAGgAHsmYvAAAPfklEQVRYw62XZ1gUV9vH/zOzO7vLsrSl
  NynSQRE01hh7FBELavQx9kJiRM1rSexG1BjsaLCjolFUwF4TRRRQEZQiIEVQ
  bCxFYIHdnd2dOc8HSN7nynN5Pdf7Pv6//OfDuc/cv3PO3HMf4BPLbJzHVgAw
  3+KZjRQ3wWVDSL20+/6pypbAEVT5pHgqSvQOYIs/9Xv/FP2pJrLXd19LRQMS
  xjwdcPngkuyx22beBn/f837f+YyfKfbe6NXisWXjGNs7QSuY/MhTgOQJwD4X
  H7G+9SmBmP9voHKoXwwABEQPS7MMATi5bhC30cXH5ahzoGOfjd39pvok+NtM
  OuPp4R7i2Zm962Dl4Gk7zUohHitZBd9uxPBEsrlxi6pT47E3z4U/So+aiDpl
  ArzWIHzY9N8AUX8+ODQ5NDk0AZiCKfgK6xQjFKMVv4m9ZFJZuCyLblG4mPkp
  DqLCZIjJKPlngCxONNM0n6yrusVVPRxh26w85BQu0W3O8jrpnuLTa2KgNaf8
  3nao5LVxuuCrf0n6sAvEKnEO9RmJIKOJL0qK95a7FaZUzis0lsSXu68usFkj
  OHcbevFcwCqnBd6T+VG6EUaj7h4Gc+v1J7gnAMdwGuMIEJ2btlT7ElYNaxpW
  NFggpV5aL20wGrowO5md9GIhUfQnkJmzmbOZM0C2k+1kh/six0uOVx19o5zN
  RGbLFKXOC83MzaRmz4QqRZ1CYXYXRN7HpFyuJVHe1ewp5xduzW3WwqoPNb2W
  ipeymzhvNo3+QWJvGEbmil3hSnSUnCql9YZAYpBeYzNkc6iu3d52nRjs6pHm
  3NXS4O0cu8TZX/pNcNM4P+oSMhm11tSQZ6zS56OEW8KVcPsA3UltEucMri1A
  E9UWSxVZOVu5WQ4wXuCH8+F80aWyvOi86LyeVx3+AtKd1p3WnQawHj9hQ293
  k20mX8gqZx9xd3NXuzdbT7KfYdfTfgNZbkFbBFm4AQozs9kKN+jEa0XjxYcp
  z2fhhUOfZWHgw8TczbfGoKibYchERy88kdHya+wZcgo9yFNMQYqwgOmrnUDW
  CL8KavoBCpQvpDc6zXUeELyty+gQZeQ30jpZb+kbJHNL9XO4MlC6+doLun2A
  Zq92j6YvoOmmMWii0b3qQdXBqsFUr8KqwpRnp/0ft1OUvv8LSDVTNVM1EyAx
  ZBPZlDsG1riMkfemKLYr3BQ9wou8bL1ue0WysaZrTd/JtwCmE02dTL8Hsvc+
  2vnoCpovPrn6/PxwxFl879pCorAZtsxGm92wJEWiArKf5KOW0FQ6RAgT+Yq2
  AKJV4m+Y3iDlgfUReQ6QcjkZh8k6ynXklOGS0dOxVRLDLmC/APCa1JJ7AP2B
  7kcpgRZH9Uq1HMiR5czPIQbvl2erjlVtqY8GkARrwfGvKqer19Xr6oHsrtlB
  j/xLjzf2a8xpzF3Xi46iw5n00nHyPJPtJnMBaZKsRbYXkDZIJkgNwNv57yzf
  XkaVXOXcRduPHAs582V/ez/haybKtI2LIe4GA727FZjAV4lea77GWL6K6a1Z
  hDH0H5I13F5Edgr1z7YaQjzsWhwGWnfHS3YYO5i9DEgoSZPUAjCxN/nBRAvo
  i/RdDaXA9b7Xn9xYbwi/H3R/QcbNuwlteRonjfVWVTtFuUj09yqxcdQOz4WN
  wIB54azvmpZc673WSkuatMo2maSa3AFkr2RPZJcA6W3peckDgC2WvmatwdkW
  uM2V25LD5tedRPQB4q+PNi5oewcRmQNP8ghgxlNSZiAEehyTKNoMQdhrsJYt
  oxID7ttuHhRJzwpocM3rHYrLdC5tQt8EhOGCrXAcqO1Ru7puIHCm7eyeswt5
  +xsDbrrcjE07pJmi2aURbUprzzrjXbsLR/8Cih73S5ewJQAaMAhnHNfSp0m+
  Wdc1tyWft+5kdvl2kt6WFEttAMk2tkziBbBv2MsSD4DJYKrpGNB8KX7TpaLN
  +CW+bC1COr+SGm+MAYUgajfSQQCakDfQs/uNj205Kt3roek/BpvTFV2fu43v
  3x9X2DR2p3gxQLIJRa4CqkzVEZUAHOubWHwsEnjIFPa8s8uQbJffZYgQm+X5
  dtEbf+CRNV1FNwNCH92l6rcAIJo3YB09vBFojWnKNnZ3eGJ93W6F6Zr1Q0W9
  2IOUekonKpvrzdSxrpJYyUnJeIBdx9aLFwLicvFuUQFAP6LSqBFgBMCN641c
  oavostaWfEu10f1JK2iY0b5CC4xsnPG+tQd1w79O0XlUH2pFsMFNM/AYlFKV
  1FUaASAQIzAVqN2jktamAocOHf7y0GAUPvYsSv3jK1IRvmBm54DukiSTRfa0
  Pn9SSsHags0lc4rrb146crBx+4USh8l9MwCDH11/sfpwTbLTSPFkOoWm1jeR
  +ejMJ03l2rI4wweVRG/YYVyk6wU5n8IP5PsDfD7/jC8B+Bq+mlcB5CnZRawA
  oRCfGaaBEs5S1zkZKHKAketiQLM2wgOzH6grQWPkiRNO00O7Bbi5D2ujLGXF
  0nOynwDKg/KnGoH6X+sPNPwPEF+xf2b8fpRkJRfuubac3Og1dvxWmxeC4LEk
  dLHpFIF1qXAqdp7rawzIDbjmFRpTP+DmFKK4NKbl/elCL0CcS9com2rq+kdP
  bHjcclz1cGpm45HWLqpBEqY5WLu5YbdQxF8ngbwPuU0tpM5QL8HjITyorQD5
  jpzDWYBY4SZZAIr3IWqDG2hDAxmkXQmB3sTlmwVTKYE10g+TCT065I7b8OF1
  lEwWKdsnswDNqETTmVSg8avGkU1HgT11v57Y44/y9J/yel60J7dCTcaWKeYK
  vq4HgseZJJCI1hzu9yZPsr+1B+fXvIdfKpknjjKf6tO5Tap+KB2y4mtmlzwH
  6LtCVKGuvPreLp+vfdU8pGl+7Xee2f7ZylGdKMtVNinsfTyiVlAvkQCj6IE4
  U3wSEF8R68UygJ3PjhdPAaib1GMqAFrDcmMwtw6/08u1h50HUVzXeFOPqdPo
  RaH93aaOcKTEkr2S31hTgF5Ou+AUULO+5veaCmC3bZxn3DaUphfkDTr/jlwI
  vRbZzcRfYB39Au1FLzBO16zPag2GllaS39hMkPpJjRrdEqzL12d3qp9lPFLe
  9ETXHGzcxK9sSADctopqTfIzBYuLR5u8nerbYPkjb0bP551XtrrbIlmhdrpu
  P9tcyWdhCH4mieQu1CDwJ1IwiKcMVCzAmkgOSJZCxx7Swm4coroxip+nldFV
  oX6dLocVUmLpAGmUdBIgviwOFV0DVBWqBaqTQFz23uI9DEruBuWHpg4kfwSu
  jUijGoVrNrE+N4g10WkyddqWCdhHJ1KrJINRrQltUoqSKNOi7bmVLXVC3PO1
  Weca4ou/b7Yt8zGWXUgG9GLgSTINyOwAzX192dtS4MSE99IXj3WxW/ZX9CgZ
  qs55s1qn1tkbt0KHNdQmKhosOlO+lDeAWBJGdECf7F77+o5G98jBvZYvjKDF
  IS9drg6/RS2QbZclSe4BdCvtT/0CqO7VaFQ1wK7XcSa7+6EsLTnfKuUBmeU7
  dtQbXiFstHkf4E1nkUztYn4J50TS22R6lXYjmVAzTzWtZRf0uQnZlaoSYV5x
  StbZuhfF/mpRxT7jjuRBmMOJgfMR7bW6OIn63z8Q3VHLSSWgKDQNcpVK4mdY
  T5oV1jZ5/E9zx4SM/D6yzvKyyXRZhswFkM6QZkrvA+xwSaqEB8QFohx2McAS
  1leUBIgfiJ+LNwMNoxuGfegB7L6y59LuUai4l16UdkFNZntlRaiNSn6Tg0dA
  mfg5CRBeCI6YCgnpLiSQHBC1uIHFbepaZWrePeMcMvftiRwrQ2FJWOuy8mJ0
  P2cGe+1LIHVGR8vT0SDwPf/lPiQ4AkCAr5+T/46WIKsTJMfudMpQ2VhRtGla
  ZYyxjzHPWArwtXwYHwTwNryWlwLCOJ7wdwCyjMzgNwB4CgnCgfdn3p1/3wvY
  Xr1z8I40vLijKXJIFZNtbtVje+hT+RSLhqAKajCmak9RPY1mVKjuDJVtPEm5
  1g9sLjGm06ZltwuSOQ8h7M3j3M8MoSWtbefKDqP7OWU7SErHFaM06E+Qv7bl
  752C/Ts7o914wHqN8kelqm0ZnUG9oedxl4Wd/AHhGxiE06ReqASwGNtRDJAN
  OAMBYGyZw8wRoGZSTaTqc2DPhH1D936LZ3fty3CxK7nksivSUv+jMMx0RmAo
  aMi1SfRmfiYKNZ/RUfxdPK2/oe7Dz6IyKjPz5cYGQar6JedbYVzJe+3Zsrl4
  dm42qdY5Aqlv2rMsy+gAMf17/v/W+ujjjEuNUYCBN35lnA1PbhGn5K6gVhuu
  7aRZDcI0ieyYWICZQQ9jggEmhSGMNVBNvbpY/Q/gSNZxbUIgnt2LqHK/dopc
  d8oc25fbLvjIxwX4oY6M1E3DK94CBIm4CgK6bX5zFfTUtZpt+eHQCBcbV2Tv
  xJriGE1E2W3wyVuEMG0QkNq1Y0fcOkAiPnbB+zcgw3f654aHgNHHQBsHAppK
  zWhtBNCibhnYGg5Qh6nOtB/AuNI59DSg4U3DhAYRkJh3KujkZNQ9OPxW/ocv
  eWZ/a0wXLl7wlE8PHA+QEYaF2A0b8EjAHQBCW1DzQYCKrw17EgsIjc37M+OB
  Yk7buzQfOOcthGnjgPPyDhDz/wTyUSDOn8vhzAH9YsNO/WigTaa53ZYAo/oL
  9d3m/QA9h3lNfwA+JH1I/JCLitTk1OsXluk7P3xQ1u/eTeF326ZJ6QZfSbNJ
  sN98mOG4wYzYQI0B2EmdBSDRuqk3ApS+fltODSCcUZveHw0UF+vuP/cCzrkL
  cdznQGpHNmWTOkCs/hPIR78hLkb/kFMBhqcGa70RFpoTGqbNDV+qc1o0rbFg
  XnGvblSvBE7vSopLKtd+l9E548L9yVddDArB3OC2Q8stagjC1Fc3Wnuq/BDF
  DNavMd6DggpTlzSmA7RdrXn2YkCYrJbcmwU8i9dtf/4YOOsgpHF9gJQVHSDc
  /xXko3IRuYicjwDKZmWzcpf5tyFdQkK6HX3w1dijYxeOlRPSJTjoddBbjSUr
  YRWs4mxle1S3I+1uais77rceiLpvt/hrGvNeTnH9OmYFPAhR3p6XAOgPyiYG
  /gw8taW/lSwCVnTE+61ud+b0fw3wd8n7yPvIhwCSAkmBpFwSZJFokWiRvP6Q
  ldLK1sqpyEd0QHRUlPBbx5kICW53aidAxf/LLFUS0nk1MO9X08Z+0cCzG5K5
  3j8Dj0dSB9kC4Mfr7eN8D3WA/PTJQT6iae1m1bGSvTuOgHdpu9NzPxo5nfIA
  zBqZDHkeMOlzihEBWMyChjnQpb59kKgnPrH+CT//Ctoq6bGMAAAAAElFTkSu
  QmCC
  ====
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Powerful console text editor
  One of the most powerful text editors in existence, vim is "Vi-Improved".
  .
  This package contains the command line version only, and so should be
  used inside X Terminal.

## vim 7.2-0maemo4

=== debian/changelog ===
vim (7.2-0maemo4) unstable; urgency=low

  * Build using mud-builder by andrew

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Wed, 28 Jan 2009 22:44:15 +0000

## vim 7.2-0maemo4fremantle0

=== debian/changelog ===
vim (7.2-0maemo4fremantle0) unstable; urgency=low

  * Rebuilt for fremantle.

 -- Marius Gedminas <marius@gedmin.as>  Sat, 10 Oct 2009 11:20:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Section: user/utilities
 Priority: extra
 Maintainer: MUD Build Team <mud-builder-users@garage.maemo.org>
-Build-Depends: libusb-0.1-4, autotools-dev, libncurses5-dev, base-files,
-  man-db, libxt-dev
+Build-Depends: autotools-dev, libncurses5-dev, base-files, man-db, gnupg,
+  libxt-dev
 Standards-Version: 3.6.1
 
 Package: vim
+XB-Maemo-Upgrade-Description: An update to vim 7.2, including UTF-8 support
+  and syntax highlighting
 XB-Maemo-Icon-26:  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABGdBTUEAALGO
   fPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+S
   X8VGAAAABmJLR0T///////8JWPfcAAAACXBIWXMAAAsTAAALEwEAmpwYAAAA

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-darwin --disable-xsmp --disable-netbeans --enable-gui=no --disable-gtktest --disable-gpm --disable-acl --disable-nls
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-darwin --disable-xsmp --disable-netbeans --enable-gui=no --disable-gtktest --disable-gpm --disable-acl --disable-nls --enable-multibyte
 
 
 build: build-stamp
@@ -63,6 +63,10 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
+	install -D -m 0644 -o root -g root "mud-extras/vim.desktop" "debian/vim/usr/share/applications/hildon/vim.desktop"
+	install -D -m 0644 -o root -g root "mud-extras/vim-26.png" "debian/vim/usr/share/icons/hicolor/26x26/hildon/vim.png"
+	install -D -m 0644 -o root -g root "mud-extras/vim-64.png" "debian/vim/usr/share/icons/hicolor/scalable/hildon/vim.png"
+	install -D -m 0755 -o root -g root "mud-extras/vim.launch" "debian/vim/usr/bin/vim.launch"
 
 	# Add here commands to install the package into debian/vim.
 	$(MAKE) prefix=$(CURDIR)/debian/vim/usr install

## vim 7.2-0maemo5

=== debian/changelog ===
vim (7.2-0maemo5) unstable; urgency=low

  * Build using mud-builder by andrew

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Fri, 16 Oct 2009 17:20:01 +0100

=== debian/control ===
Source: vim
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/utilities
Priority: extra
Maintainer: MUD Build Team <mud-builder-users@garage.maemo.org>
Build-Depends: xutils-dev, libncurses5-dev, maemo-optify, bash, libxpm-dev,
  libxt-dev
Standards-Version: 3.6.1

Package: vim
XB-Maemo-Upgrade-Description: Moved most of the runtime files into the
  larger /opt partition.
XB-Maemo-Icon-26:  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
  AAALEwEAmpwYAAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/
  AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAAQg0lEQVR42syaeZBdxXXGf919
  733bLBpGGi1oNFpGSNggwIskC4wREDDGlG2EU2BXxSmXkzh2ikolf6QSx4kk
  23jB5cIJxIlREhNAYl/isoHyAhhcwRJmERKSEEJCK4xmpDczb7v3dvfJH/fO
  aLQg48gk6akzd2refe9+/Z3T5zun+yEivBM249zS+X3vqzze/V6WnOy+Ux3q
  VD/gRCB6Fxc/7FK3DsUk6+yAq/OZoVflUd6BoX4XLEwc8y9su7zZjO/rmTK1
  be6s+bJv4HW1Y9fOw2mNz1W386Ac80ClTo3D4FQ/YCKeMy+ZdJn16T19fb1t
  i885XwqFAv3z5km57emuLa9u+1dTAKXUUZM4VQKD35UH3veR7sucSu/tm93X
  sfS8D4qIo9EaoVyqcPGyy4iKwaSXt21ewzlHT+L/hQfe//tTfy9W7t7ZfX0d
  S8+7ULy3NJMWUUljVQsroVxy/uUUSqZr49aNa8x7EKXUQ5KN/1sPfPDTfZcK
  7t45c/o6lpxzgThvqbcaBJFCKwVKEfs6oQ+4eNmHpVAKu17c/Os1JgDgwVMl
  8K3eHfX19Z3lvdflcpkwDI+zwAcumNZaGAcHbylXSl3nL1kmGGG0MQwISimU
  BoUCDUpp2ssdtJc7+cVzj6rNWzcOdqeLvlSsTd0YlkOLtdj84WmakqbpUX+n
  aUqSJHpgYODwwMDA9rfMQkopfdZZZ9162mldnw2CIC0WS5RKJQqFAoVCRBRG
  hFFIGIRExTAMgoB6rcmW13/NuZdMlyDSgEJpycArMEoDoJWmrdJJqVhh6/N7
  1czyIpI4tYKIeI+zDusd1jqstVibYlNLkqbEcUwSx2rvvr3x+vXPrIpje+MJ
  10BbW9uH2tvbPjtv7jzKlXJYqVSolCuUy2WKpSKlYpFCoUgYhURBSBhFFAoF
  NqzawK+f2soFHz4TJx7J/auUAiXj16YdpjnYohL3ctEVy0nTNHDOIiI477HW
  kiYJ1h4BHrdaNFstms0Wc+fODbZs2bo6jgf/S0Se1scqY61W09VqFaUUxUKR
  KCoQhgFBGBAEASa3wJjME2HAwMAAAwMH2bn5TVWrN1GBRxmHMg5tPOSmjKCM
  p9o4xHMvPEejXscYjfeC9x7vHN65Iyo9Fh1KYbShEEUcOLCfWq1WBK5SSgUn
  ykK/2LJl6w8PHhy8aurUHq766FUUJk0iiiasAWMIw4g9e/Zw++138PruPRyq
  HmRmf5d4saJMgHgBBV4JSuncPCjF5BkVqm4TX/ji9eqLX/g8i5cuxqYpzmWh
  k6YWE1iMMSitUEoTBAEbNjzL/Q88IK1WaxfgAaNPUJ+kwF8ODg7evXnzywdq
  tVoWPoUixWJupRKVtgrbtr3Cr559hqY7JF1TSzJ30RRKnRpHgugErxJkzHSC
  NxaMBe249NqzJS4ckFv/7fs06g1EBJ8zrpRCa40xhjAIKReLvLz5ZW77j9tk
  eHjkVWAD8DAQv5UObAeunzZt2jcLxcIfBoFBa4PWOo/lLH057ylVIhZfPpeZ
  /Z3SPbMNgjQHIigFojIGlTagBVGCR+joCbj6s8uxO2cQRRFKgcnDRmuPiEK0
  JgxDfrn+l/zT974nIyMj24FngX8UkWd+kw4M9Pf3vxYVCkSFAmEQEIURUTSW
  iSICE6CA6fPafd/Zk2ilCQ6HkE0AQKNRKJQK0MojOoDA4esd9AaL9LLrllMs
  FbDW4b3HOYdzFu88KHj88Se4+ZZb/MjIyKs5+O8C68eI10op3sqiYtAWBsGE
  /J8t5CAwGGPQSiFKcJKS+hghzS3BEyMkCAkoCzpFdIqYFq4eqfLgIn3h0svo
  nNSBUoowDAhDMx42hVKRp5/+Jd+68UZXrQ5vz8PmJhFZPzHk39IDf/PPK87f
  +Pgbn9HKEEURQRDk7IdEUUQh/x+AYPEqwWMRHA6fhRCAMijt8cqDTtHNbroO
  L9UXXXA5be1lkjTFaD3usyDI3vOTn/yUb3zrG1Sr1QPAeuAfgGePDfkTroHr
  v/qxZeUufV9UMVNF8lwuRypH731mIggyvli9soh4BD+e/tAeUQ5vBBP3MHn4
  QrP8giuotJex1mK0xgtZ2ClFGBh+/ONHuOGGrxO7UXrm6x4T8dz+Te7Zt1UL
  Xf+1FUvDitxXrETTSlHZFwoFXalUMNoQhAFRFBIEIcViMfOACIIFnQjaAYLO
  hUvlkxCTELR61NTDl+qLll1Bpb00XipIToICwsDwox89wle/9jViX5OFi+Zw
  9uVt0bDZ+ReLPh688tLD7tE8fZ7YA3/6pSuWFjqiBwrFcHp7ud2l/k2tx15X
  WV2T/XBkoSpwWKxK8drloHP2FYi2BM0edfrwR83y86+kvbOMtY4gCFCozIMi
  BMbw8MP/yarVq4j9iMxa0C2XXNfPe5e822/aub5X/Iu34kc/99IP3WMi4o/z
  wJ/8+eVLdMHcHxbU9HKx5A43DhCnNRFBOetAstpG62yBe+fHhRJlEWUhF6q8
  CEWMJWxMVTOHP24+tOQKSpWIOEkyr01wvNKahx5+mJUrVxLLiMxaeBqXfGqO
  71mgOFTbr87sfY/z3s8QeWmNY/RzSqnHxjwRKKVY8ccXLOnsLD1QMDIjDAru
  UO0NrBkRj1XkbI+5WkTwXjjyfI9gc5M87sHrlKgxXfUOrzAXL/so5bYiqbV5
  A6Ny7ykCY3jwwYdYuXolKaPSu3ASyz/d62a+q0JiY9JkQKy1asHM85z3fob3
  m2/FVv/o5Ud4DBD9viv6zrM2vt+pdIbWxh2qHWCkMSSpTxA84sdM8jztcc6O
  Sz+AFY8ThxeLF4eVFqY+RfUOX6OXL72SSlsJ6xyBMQQmS8VhGFIsFHjooYdZ
  tXoVCSMyc0G7XHDddD9tYZEkTbAuJXEph+oHZXB4L/3Tz3a902edXpzJrZU5
  XAqEgXf1zw+O7j5dit1WwpZypi5BKau/vEie9wO0MRmAIBjXA60NImRFmE/x
  HlAxheYMNXvkWnPRkisptxWxzmaaMb48FMYY7r//AVauXElLVWXmgjY+cO1k
  mX5GJEkcAwYlBoUGr6g2h6RRd6o52GX3v65OpySfAXYEu3YP/qDQwccGqtWp
  s+fOsF2Ti+CE1Anea5TWGBNktUlwpCINwhBjdBZg4nHe40gpNGaoOfXrzPIP
  XEmlvYS1FqV15kWy0sJozdp77mH1V1aT6lGZcUaZxZ/sdD39AXEcozGo3BCD
  8ppWXbNlxwF5/vntuj4kw/WdHAIWBoe2sp5J/FV5SvzdONnTsfDsaa4rKqKd
  x0uQqzJorbNaSGetotFZieAc4sVL6ltSaM1Q8xqf0heffxWVtgLee7QxuY5k
  qdUEhrvX3c2qr6zG6hGZNr8o711RlsnzNHES56wbdG6IIa4H7Nlhef7FHXpo
  /+hobRtP0GQIIAAUVX7ccHQPBvbvt219o31BMNlNigKcz7KNcy5zvwKd53dr
  LT7PZlZiotZsNa/2afOhpR9RUcEQx8l48Td2NcZw10TwZ0Ry7ieK/rTZSlqt
  WGk0Wo1NIESJIa4Zdr/WYvOmPXr4zfro6BaelBrbgG3A9gCwwDCj3NXYjx4K
  7JdfCQfa+8NO51yI1tmDtcnqlCAMx9dCT08PXqDYmqbOaP6BvnjZx1R7Rxnn
  szyv85oqe6/mjjvWsnL1SpypydQzIjnn6qKbPFsRJykKJQYNOLQySuGIR0N2
  v+Z5ZeubenSgNVrdzJMyylZgY17Y7RnTgUQpdZBh1jb2IYeM//Kr0eGOblcW
  AbwXlPJ5CvVgDEmSsmTJYlZcdY2aX+k3Fy2+kraOLNsYo4+wbwxREHL77Xew
  cvVKJKwztT+Uc1ZErmu2IrH52hBIxaPQaLw0Rr3avyNh5/aqrg8mo9VNR4Ff
  D+wBWhOVOAUO+kOsq2kg5MthlHaOvSxjsp+XvCJQqZT50l//7Xg12Ww2UUph
  bc68zpj/wQ9u44av34ALazJ1fiBnXR35zjmK1I71zpmwCYBXtGqGPa+msm9H
  XTcP29HqS8eB3y0i8YlqoVQpNegHWTeikc5p/u+8+E7rLIasfDbG5KWsxzs/
  Xnp7L2ijQWWLXGuNNpq1a9fx9W/cgA/r0rPAyJkrAtfRJyS5hkj+a8wLtRrs
  e8XyxmuxiQ/72ujG48ED8RjxJ6pGE+AgA9ypy5X3p2lybavZwhiDiwK891mY
  5C2fCQKM1rkuZGk3zDXi7jvX8s0bv4kvNGTKQiMLVgSuY7YidVlnNj6B/Fpr
  wt5XPQM7U51WpTa6kSfcyImZ/007cynwZn9//16VL+IgyFU0DAmDAKV01oAE
  2ULXSudakbWea9eu5dvf+Tau0JDJC7Wff7WWtllCYrPwU8eCr8G+bcLQzlTb
  YWqjL/LkseAnMj82TtqRaa2bY+EyHqMTGm/ylKpV3oDnk7tr3V3j4LsXKum/
  RktlDpKKkCgh1flVeRLlGa579uxwDO1KjT1MrXo0+A1jzJ/ogOSke6Pz588X
  m1qcdVked3q8mVFKIV7jtaC8R2uNiOe22+7kOzd9B1dqSveZMOca5Yt9QuxE
  oY/QLgrwQnMUDrwG1R1eu0FqIy/wpBwD/kTMv63d6blz+3HOkVoLWmHyfRul
  9Hh3JiJI3lreeec6vnvzTbhSS047E5n1SSWFWZB4f9wurACtGryxC0Z3iHaD
  jI68cHzYHBvzv9Xu9Lx580iShCSJEZHxDksphYgZDyXlHGvvvoebv3czttyS
  roXQew1SnCVivRy/nSwZ+AO7oL4d7d84DvyGPM/Hv2n3+qQemD17NkmS0GrF
  eH9km0+hMEHWvADcdfc9fH/Nv+DLsUw6E3qvwRV6IXXjtxw1mnV4Yyc0t6Fl
  fw7+GJESkdYpnw/09faSpClJknlxLMuYXGW9c9z7wIOs+fc1uHIsne9CTl+B
  FHrBecY3wFBHh82bu6C1FS37GKm+yJMyyrZjFfbtnhuc1AMzZ8yg1WpRrzdI
  rcU6m217l4oYE/Poo4+xbt1aXCGhMh+Z+nEkmomkE0J+opK36nDwdWi9jJY9
  jAwfLVIbfhvm35YHpk+fPnawwJge+DDbAn/kkUdZt25d7Jw7GLXTU5pN6Nvx
  aQw6gLGMMzaBViMDn2xCy+uMDL/EE3lVOZH5+Lc9sTmpB3p6JhPHMa24lR1U
  GENiEn7y059y3333tbz3W4FnrOVAvJs/G32OKe4cbKkjn0SeLpMGDO6BZCOa
  1xkZ3jwO/sUJzMe/8zOy7u5uGo06IyMj2NRiU8vPfvZzHnvssdh7vwX4OXCL
  r1Ib3soQjlV41e3PFVtsB60hbsDQfkg3otVuhoc38YQ0eGUi+P8J82/LA5M6
  OojjhFazhXOeZ371K5566qmWiLwMPJ7vVe5VSgV+iPuHAfGyyjvV7c8Ri4Hh
  NyF9Ca12MTy8dRz8Czn4vf9T5t+WBwqFgt6xYwfV6mEajSabNm0aA//zHPy+
  XMysUmrQD3F/1SPiZFUywuSkGyt7MHov1eFtPE7zKOb3ikj8Tp1Sjo3zgJuB
  d+fLcjvwM+AmYP+xJ+1KqQCYTBefaOtlZVCmx9YYqm3nSeLxmH82j/nkf+W7
  EkqpC4HFQB9wEFgjIvtPcn8ATKHCZdEkrk4GOEzK3glt4N6J4N9pD0wc04Ba
  bif9topSKszvPwuYBQzl7O8+1Zg/dvz3AAHjzksCqmymAAAAAElFTkSuQmCC
  ====
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Powerful console text editor
  One of the most powerful text editors in existence, vim is "Vi-Improved".
  .
  This package contains the command line version only, and so should be
  used inside X Terminal.

=== debian/rules ===
--- 
+++ 
@@ -65,6 +65,7 @@
 	dh_installdirs
 	install -D -m 0644 -o root -g root "mud-extras/vim.desktop" "debian/vim/usr/share/applications/hildon/vim.desktop"
 	install -D -m 0644 -o root -g root "mud-extras/vim-26.png" "debian/vim/usr/share/icons/hicolor/26x26/hildon/vim.png"
+	install -D -m 0644 -o root -g root "mud-extras/vim-48.png" "debian/vim/usr/share/icons/hicolor/48x48/hildon/vim.png"
 	install -D -m 0644 -o root -g root "mud-extras/vim-64.png" "debian/vim/usr/share/icons/hicolor/scalable/hildon/vim.png"
 	install -D -m 0755 -o root -g root "mud-extras/vim.launch" "debian/vim/usr/bin/vim.launch"
 
@@ -104,6 +105,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## vim 7.2-0maemo6

=== debian/changelog ===
vim (7.2-0maemo6) unstable; urgency=low

  * Build using mud-builder by andrew

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Fri,  1 Jan 2010 11:51:27 +0000

## vim 7.2-0maemo7

=== debian/changelog ===
vim (7.2-0maemo7) unstable; urgency=low

  * Build using mud-builder by andrew

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Sun,  3 Jan 2010 19:01:15 +0000

=== debian/control ===
--- 
+++ 
@@ -114,4 +114,4 @@
   One of the most powerful text editors in existence, vim is "Vi-Improved".
   .
   This package contains the command line version only, and so should be
-  used inside X Terminal. 
+  used inside X Terminal; although a launcher icon is provided.

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,7 @@
 	install -D -m 0644 -o root -g root "mud-extras/vim-48.png" "debian/vim/usr/share/icons/hicolor/48x48/hildon/vim.png"
 	install -D -m 0644 -o root -g root "mud-extras/vim-64.png" "debian/vim/usr/share/icons/hicolor/scalable/hildon/vim.png"
 	install -D -m 0755 -o root -g root "mud-extras/vim.launch" "debian/vim/usr/bin/vim.launch"
+	install -D -m 0644 -o root -g root "mud-extras/vimrc" "debian/vim/usr/share/vim/vimrc"
 
 	# Add here commands to install the package into debian/vim.
 	$(MAKE) prefix=$(CURDIR)/debian/vim/usr install
@@ -105,7 +106,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
+	if which maemo-optify >/dev/null ; then maemo-optify ; fi
 	dh_md5sums
 	dh_builddeb

## vim 7.2.079

=== src/testdir/Makefile ===
--- 
+++ 
@@ -20,21 +20,23 @@
 		test48.out test49.out test51.out test52.out test53.out \
 		test54.out test55.out test56.out test57.out test58.out \
 		test59.out test60.out test61.out test62.out test63.out \
-		test64.out
+		test64.out test65.out
 
 SCRIPTS_GUI = test16.out
 
 .SUFFIXES: .in .out
 
-nongui:	nolog $(SCRIPTS)
+nongui:	nolog $(SCRIPTS) report
+
+gui:	nolog $(SCRIPTS) $(SCRIPTS_GUI) report
+
+report:
 	@echo
-	@cat test.log
-	@echo ALL DONE
-
-gui:	nolog $(SCRIPTS) $(SCRIPTS_GUI)
-	@echo
-	@cat test.log
-	@echo ALL DONE
+	@echo 'Test results:'
+	@/bin/sh -c "if test -f test.log; \
+		then cat test.log; echo TEST FAILURE; exit 1; \
+		else echo ALL DONE; \
+		fi"
 
 $(SCRIPTS) $(SCRIPTS_GUI): $(VIMPROG)
 
@@ -71,4 +73,4 @@
 test60.out: test60.vim
 
 nolog:
-	-echo Test results: >test.log
+	-rm -f test.log
